MAKEMPX(1)

NAME
makempx - typeset labels in MetaPost pictures with TeX or Troff

SYNOPSIS
makempx [--tex|--troff] mpfile mpxfile

DESCRIPTION
This manual page is not meant to be exhaustive. The complete documentation for this version of TeX can be found in the info file or manual Web2C: A TeX implementation.

If mpxfile is older than mpfile, translate the labels from the MetaPost input file mpfile to low-level commands in MPXFILE, by running mpto -tex, tex, and dvitomp by default; or, if -troff is specified, mpto -troff, eqn -d\$\$ | troff -Tpost, and dmp.

The current directory is used for writing temporary files. Errors are left in mpxerr.{tex,log,dvi}.

If the file named in $MPTEXPRE (mptexpre.tex by default) exists, it is prepended to the output in tex mode.

makempx is typically called by mpost, not from the command line.

OPTIONS
makempx accepts the following options:

--help
    Print help message and exit.

--tex
    Assume input file contains TeX commands.

--troff
    Assume input file contains Troff commands.

--version
    Print version information and exit.

SEE ALSO
mpost(1), mpto(1).